package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 帖子管理对象 tb_business_article
 * 
 * @author ruoyi
 * @date 2023-10-17
 */
public class BusinessArticleVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 帖子编号 */
    @Excel(name = "帖子编号")
    private Long articleId;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private Long userId;
    /** 用户名*/
    @Excel(name = "用户名")
    private String userName;

    /** 用户头像*/
    private String userAvatar;
    //用户是否点赞（xcx用到）
    private Boolean likeFlag;

    public Boolean getLikeFlag() {
        return likeFlag;
    }

    public void setLikeFlag(Boolean likeFlag) {
        this.likeFlag = likeFlag;
    }

    /** 帖子内容 */
    @Excel(name = "帖子内容")
    private String articleText;

    /** 帖子图片最多9张图 */
    private String articleImgs;

    /** 帖子话题 */
    @Excel(name = "帖子话题")
    private String articleTag;

    /** 点赞数 */
    @Excel(name = "点赞数")
    private Long articleLikes;

    /** 评论数 */
    @Excel(name = "评论数")
    private Long articleComments;

    /** 帖子状态(0-审核中,1-未通过,2-已通过) */
    @Excel(name = "帖子状态(0-审核中,1-未通过,2-已通过)")
    private String articleStatus;

    /** 删除标志(0代表存在 2代表删除) */
    @Excel(name = "删除标志(0代表存在 2代表删除)")
    private String delFlag;

    public void setArticleId(Long articleId) 
    {
        this.articleId = articleId;
    }

    public Long getArticleId() 
    {
        return articleId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setArticleText(String articleText) 
    {
        this.articleText = articleText;
    }

    public String getArticleText() 
    {
        return articleText;
    }
    public void setArticleImgs(String articleImgs) 
    {
        this.articleImgs = articleImgs;
    }

    public String getArticleImgs() 
    {
        return articleImgs;
    }
    public void setArticleTag(String articleTag) 
    {
        this.articleTag = articleTag;
    }

    public String getArticleTag() 
    {
        return articleTag;
    }
    public void setArticleLikes(Long articleLikes) 
    {
        this.articleLikes = articleLikes;
    }
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }
    public Long getArticleLikes() 
    {
        return articleLikes;
    }
    public void setArticleComments(Long articleComments) 
    {
        this.articleComments = articleComments;
    }

    public Long getArticleComments() 
    {
        return articleComments;
    }
    public void setArticleStatus(String articleStatus) 
    {
        this.articleStatus = articleStatus;
    }

    public String getArticleStatus() 
    {
        return articleStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("articleId", getArticleId())
            .append("userId", getUserId())
            .append("articleText", getArticleText())
            .append("articleImgs", getArticleImgs())
            .append("articleTag", getArticleTag())
            .append("articleLikes", getArticleLikes())
            .append("articleComments", getArticleComments())
            .append("articleStatus", getArticleStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
